Package org.eclipse.emf.cdo.common.model

# Enum Class CDOFeatureType

java.lang.Object
java.lang.Enum<CDOFeatureType>
org.eclipse.emf.cdo.common.model.CDOFeatureType

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOFeatureType>`, `java.lang.constant.Constable`

public enum CDOFeatureType extends Enum<CDOFeatureType>
Enumerates the possible types of `features`.

Since:
  4.5
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`ATTRIBUTE`
`CONTAINER`
`CONTAINMENT`
`NONE`
`REFERENCE`
`XREF`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`matches(EStructuralFeature feature)`
`static boolean`
`matchesCombination(EStructuralFeature feature, Collection<CDOFeatureType> featureTypes)`
`static CDOFeatureType`
`read(String str)`
`static Set<CDOFeatureType>`
`readCombination(String str)`
`static CDOFeatureType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOFeatureType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`static String`
`writeCombination(Collection<CDOFeatureType> featureTypes)`

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CDOFeatureType NONE

### ALL

public static final CDOFeatureType ALL

### ATTRIBUTE

public static final CDOFeatureType ATTRIBUTE

### REFERENCE

public static final CDOFeatureType REFERENCE

### CONTAINER

public static final CDOFeatureType CONTAINER

### CONTAINMENT

public static final CDOFeatureType CONTAINMENT

### XREF

public static final CDOFeatureType XREF

## Method Details

### values

public static CDOFeatureType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOFeatureType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### matches

public abstract boolean matches(EStructuralFeature feature)

### matchesCombination

public static boolean matchesCombination(EStructuralFeature feature, Collection<CDOFeatureType> featureTypes)

### read

public static CDOFeatureType read(String str)

### readCombination

public static Set<CDOFeatureType> readCombination(String str)

### writeCombination

public static String writeCombination(Collection<CDOFeatureType> featureTypes)